package hdm.mi.sthbackend.controller;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
public class TestController {
    @GetMapping()
    @CrossOrigin("http://localhost:5173")
    public ResponseEntity<String> handleGet(){
        return ResponseEntity.ok("Success");
    }

    @PostMapping
    @CrossOrigin
    public ResponseEntity<String> handlePost(@RequestBody String test ){
        return ResponseEntity.ok(test);
    }

}
