package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@Getter
@AllArgsConstructor
public class Team {

    private final UUID teamId;
    @Setter
    private String teamName;
    private final List<UUID> teamMembers;

    public Team(String teamName) {
        this.teamId = UUID.randomUUID();
        this.teamName = teamName;
        this.teamMembers = new ArrayList<>();
    }
}
